XPress - A theme and bridge for bringing WordPress into XenForo

XPress - A theme and bridge for bringing WordPress into XenForo 1.1.2

No permission to buy ($99.95)

mmirlach

Active member
It seems to be working but I have a couple of issues on the wordpress site:

  • the wysiwyg interface to add comments is not shown
  • the right navigation menu / toggle are not shown
  • text excerpt is not working for featured posts

Anyone else with the same issues?

P.S.: Installation worked great, can't wait to get everything up and running (and Xenforo to publish the RC of XF2.1 :))
 

Lukas W.

Formerly katsulynx
the wysiwyg interface to add comments is not shown
Are you using native WordPress comments or the XenForo embedded thread view? Would you mind briefly switching to the other to check out if that one is working?

the right navigation menu / toggle are not shown
I'm not sure what toggle exactly you're referring to. Do you mean the Ui.X sidebar toggle?

text excerpt is not working for featured posts
How exactly have you configured text excerpts? Have you set them up under XF ACP > Style Properties > [TH] XPress > Articles?
 

mmirlach

Active member
Are you using native WordPress comments or the XenForo embedded thread view? Would you mind briefly switching to the other to check out if that one is working?
Sorted this one out - cross-origin mode and Javascript wrapper mode were activated. After deactivating them, it's working.

I'm not sure what toggle exactly you're referring to. Do you mean the Ui.X sidebar toggle?
Yes, the sidebar toggle. It shows up as it should in the forum itself but not on the Wordpress page.


How exactly have you configured text excerpts? Have you set them up under XF ACP > Style Properties > [TH] XPress > Articles?
Yes. I don't have the checkbox checked for "Remove featured excerpt preview text". If I do check this, nothing shows. If I don't, I get "..." instead of the actual excerpt.

I also do get the same error as detailed here when matching usergroups: https://xenforo.com/community/threads/xpress-a-theme-and-bridge-for-bringing-wordpress-into-xenforo.150114/post-1316218
 

Attachments

Last edited:

Lukas W.

Formerly katsulynx
Xenforo embedded thread view. I tried native comments but there is no difference. I've attached a screenshot on how it looks.
Any errors in the browser console by chance?

Yes, the sidebar toggle. It shows up as it should in the forum itself but not on the Wordpress page.
Is the sidebar displaying? Also, which display position did you set the sidebar toggle to in the Ui.X settings?

Yes. I don't have the checkbox checked for "Remove featured excerpt preview text". If I do check this, nothing shows. If I don't, I get "..." instead of the actual excerpt.
I'm able to reproduce that. I've forwarded it to our issue repository and we'll look into it for the next patch.
 

mmirlach

Active member
Any errors in the browser console by chance?
I figured out my mistake and edited the original post (you must have answered in between) - so that's sorted.

Is the sidebar displaying? Also, which display position did you set the sidebar toggle to in the Ui.X settings?
I've figured it out as well - seems there was a new "frontpage sidebar" section in WP after updating to 5.0 so all my widgets were placed in "blog sidebar" and therefore not displayed on the frontpage. So this is sorted as well.

I'm able to reproduce that. I've forwarded it to our issue repository and we'll look into it for the next patch.
Excellent, thanks!
 

Lukas W.

Formerly katsulynx
I've figured it out as well - seems there was a new "frontpage sidebar" section in WP after updating to 5.0 so all my widgets were placed in "blog sidebar" and therefore not displayed on the frontpage. So this is sorted as well.
Yeah, we've added that position to improve customization options. Sorry for the confusion!
 

YavuzMZ

New member
This version is not good for me, there are a lot of errors, how can I return to the old version? I've opened a request for help, but you're responding too late.
 

doublespaces

Well-known member
This version is not good for me, there are a lot of errors, how can I return to the old version? I've opened a request for help, but you're responding too late.
I would never recommend installing complex addons like this on a production board first(hopefully that isn't why you need help so fast). This isn't a minor version update. Even if their code is flawless, how can you know your other addons don't conflict due to errors deep within them? This is just advice for your own good. If you take a look at the version number, this isn't an ordinary minor point release. They went from 1.0.0 to 1.1.0. They skipped 1.0.1, 1.0.2, 1.0.3, 1.0.4, etc. If this was 1.0.1, then this usually indicates a stability improvement. When you are incrementing the middle or first number, large changes are typically occurring and a wise man knows to test it out first. Just a friendly tip.
 

YavuzMZ

New member
I would never recommend installing complex addons like this on a production board first(hopefully that isn't why you need help so fast). This isn't a minor version update. Even if their code is flawless, how can you know your other addons don't conflict due to errors deep within them? This is just advice for your own good. If you take a look at the version number, this isn't an ordinary minor point release. They went from 1.0.0 to 1.1.0. They skipped 1.0.1, 1.0.2, 1.0.3, 1.0.4, etc. If this was 1.0.1, then this usually indicates a stability improvement. When you are incrementing the middle or first number, large changes are typically occurring and a wise man knows to test it out first. Just a friendly tip.
Yes I agree with you, but there is a situation like this; even though I installed the earlier version of it had errors in it, and they could not solve these errors, they told me I had to install new versions, so I was helpless in this case, I've been installed direct.
 

doublespaces

Well-known member
Yes I agree with you, but there is a situation like this; even though I installed the earlier version of it had errors in it, and they could not solve these errors, they told me I had to install new versions, so I was helpless in this case, I've been installed direct.
Ah well first take a backup of everything. Close your board.
Disable the plugins and addons.
Try to uninstall XPress plugin and addon and then xlink.
Then reinstall the old version from the themehouse portal. You'll have to setup some things again because your settings will be gone. No promises this works or is even a good way to accomplish what you're wanting. I'd wait for your ticket to be answered.
 

sip

Active member
Upgraded to 1.1
However, I cannot:

  1. Check for / edit settings in WP as there's no link in Settings.
  2. In XF ACP for Xpress > Options, All I see is till Automatically check for updates
Nothing for setting paths etc.
I was only using SSO pre-upgrade.
 

sip

Active member
Linked Platform > http:/localhost/xpress/wp-admin/options-general.php -- a BUG wrt path.
I can confirm that SSO doesn't work after upgrade
Opened ticket:

#12927
 

Xyphien

Active member
This is probably a dumb question, but do I HAVE to use the theme? Is there anyway to purchase the bridge without the theme?
 

Jake B.

Well-known member
This is probably a dumb question, but do I HAVE to use the theme? Is there anyway to purchase the bridge without the theme?
The theme isn't required unless you want the themes to match, the rest of the integrations will work. No way to purchase without the theme as it's just part of the product, you just don't need to install it :)
 

YavuzMZ

New member
The theme isn't required unless you want the themes to match, the rest of the integrations will work. No way to purchase without the theme as it's just part of the product, you just don't need to install it :)
Would you please look at ticket number 12820 urgently?
 

Mike Creuzer

Well-known member
Would you please look at ticket number 12820 urgently?
Lukas mentioned to me he looked at your board for a few hours today and we're not sure the discrepancy. It is in our terms that, though very rare, there may be some setups that it simply doesn't work under. Its a bridge after all. Ill ask Lukas to take another look, but if we cannot get it to work with us trying ourselves, we'd be more than happy to do a full refund. We're just trying to exhaust every option. Our guys are fairly skilled developers and sysadmins, I'd be surprised if we cannot find it but hey it does happen. Apologies for any inconvenience.
 

YavuzMZ

New member
Lukas mentioned to me he looked at your board for a few hours today and we're not sure the discrepancy. It is in our terms that, though very rare, there may be some setups that it simply doesn't work under. Its a bridge after all. Ill ask Lukas to take another look, but if we cannot get it to work with us trying ourselves, we'd be more than happy to do a full refund. We're just trying to exhaust every option. Our guys are fairly skilled developers and sysadmins, I'd be surprised if we cannot find it but hey it does happen. Apologies for any inconvenience.
You've already solved the problem I've already experienced. I think you can solve it again, I think the same problem has occurred again. I just updated the ticket, please see again.
 
Top